#include <bits/stdc++.h>
#define fi first
#define se second
using namespace std;

vector<pair<double, double> > a;

int main()
{
    int n;
    cin >> n;
    double sum = 0;
    for(int i = 0; i < n; i++)
    {
        pair<double, double> t;
        cin >> t.se >> t.fi;
        sum += t.se;
        a.push_back(t);
    }

    sort(a.begin(), a.end());


    cout << fixed << setprecision(4);
    double maxV = 0;
    for(int i = 0; i < n; i++)
    {
        //cout << a[i].se << ", " << sum << ": ";
        double t = sum / 100.0 * a[i].fi;
        //cout << t << endl;
        maxV = max(maxV, t);
        sum -= a[i].se;
    }
    cout << maxV << endl;

    return 0;
}